﻿' Процедура инициализации окна формы
Sub WindowOnLoad
    Dim CurrentResolution
    ' Размер окна
    iWidth = 800
    iHeight = 600
    ' Получение текущего разрешения экрана
    CurrentResolution = GetDisplayResolution()
    ' Изменение размера окна и его центрирование
    iLeft = (Split(CurrentResolution,";")(0) - iWidth) / 2
    iTop = (Split(CurrentResolution,";")(1) - iHeight) / 2
    Self.Focus()
    Self.resizeTo iWidth, iHeight
    Self.moveTo iLeft, iTop
    ' Вывод версии приложения на форму
    Version_Div.InnerHTML = "Версия: " & oHTA.Version
End Sub

Sub RunApplication(sApplication)
    sCommandLine =""
    Set oShell = CreateObject("Wscript.Shell")
    Select Case sApplication
        Case "CommandPrompt"
            sCommandLine = "%ComSpec%"
             DynamicContent_Div.InnerHTML = "Командная строка открыта"
        Case "TestScript"
            If CheckFile(oShell.CurrentDirectory & "\MyHTA_files\Test.vbs") = True Then
                sCommandLine = "WScript """ & oShell.CurrentDirectory & "\MyHTA_files\Test.vbs"""
                DynamicContent_Div.InnerHTML = "Скрипт " & oShell.CurrentDirectory & "\MyHTA_files\Test.vbs" & " выполнен"
            Else
                DynamicContent_Div.InnerHTML = "Файл не найден"
            End If
        Case "TextFile"
            If CheckFile(oShell.CurrentDirectory & "\MyHTA_files\Test.txt") = True Then
                sDinamicContent = "<div>Выберите режим отображения содержимого файла:</div>"
                sDinamicContent = sDinamicContent & "<div class=""NormalLink"" id=""TextFile_Notepad"" onclick=RunApplication(me.id) onmouseover=me.className='NormalLinkMouseOver' onmouseout=me.className='NormalLink'>- Открыть файл в блокноте</div>"
                sDinamicContent = sDinamicContent & "<div class=""NormalLink"" id=""TextFile_Form"" onclick=RunApplication(me.id) onmouseover=me.className='NormalLinkMouseOver' onmouseout=me.className='NormalLink'>- Отобразить здесь</div>"
                DynamicContent_Div.InnerHTML = sDinamicContent
            Else
               DynamicContent_Div.InnerHTML = "Файл не найден"
            End If
        Case "TextFile_Form"
            sDinamicContent = "<div style=""float: left; font-size: 10pt;"">Текстовый файл: " & oShell.CurrentDirectory & "\MyHTA_files\Test.txt</div>"
            sDinamicContent = sDinamicContent & "<div class=""NormalLink"" style=""float: right;"" id=""TextFile_Close"" onclick=RunApplication(me.id) onmouseover=me.className='NormalLinkMouseOver' onmouseout=me.className='NormalLink'>Закрыть</div>"
            sDinamicContent = sDinamicContent & "<div class=""TextFile"" style=""clear: both;""><br />" & Replace(ReadFile(oShell.CurrentDirectory & "\MyHTA_files\Test.txt"),vbCrLf,"<br />") & "</div>"
            DynamicContent_Div.InnerHTML = sDinamicContent
        Case "TextFile_Notepad"
            sCommandLine = "Notepad """ & oShell.CurrentDirectory & "\MyHTA_files\Test.txt"""
            DynamicContent_Div.InnerHTML = "Файл " & oShell.CurrentDirectory & "\MyHTA_files\Test.txt" & " открыт в блокноте"
        Case "TextFile_Close"
            DynamicContent_Div.InnerHTML = "Добро пожаловать"
        Case "TempDir"
            sCommandLine = "Explorer " & oShell.ExpandEnvironmentStrings("%Temp%")
            DynamicContent_Div.InnerHTML = "Папка временных файлов открыта"
        Case Else
            sCommandLine =""
    End Select
    If Len(sCommandLine) > 0 Then oShell.Run sCommandLine,1,0
End Sub

Function ReadFile(sFileName)
    Set oFSO = CreateObject("Scripting.FileSystemObject")
    Set oInFile = oFSO.OpenTextFile(sFileName, 1, False, 0)
    sFileContent = oInFile.ReadAll
    oInFile.Close
    ReadFile = sFileContent
End Function

Function CheckFile(sFilePath)
    Set oFSO = CreateObject("Scripting.FileSystemObject")
    If oFSO.FileExists(sFilePath) Then
        CheckFile = True
    Else
        CheckFile = false
    End If
End Function

Function GetDisplayResolution()
    Set oWMIService = GetObject("winmgmts:\\.\root\cimv2")
    Set colItems = oWMIService.ExecQuery("Select * From Win32_DesktopMonitor")
    For Each oItem In colItems
        iHorizontal = oItem.ScreenWidth
        iVertical = oItem.ScreenHeight
    Exit For
    Next
    GetDisplayResolution = iHorizontal & ";" & iVertical
End Function

Function PingComputer(sComputer)
    Set oPing = GetObject("winmgmts:{impersonationLevel=impersonate}").ExecQuery(_
    "select * from Win32_PingStatus where address = '" & sComputer & "'")
    For Each oStatus In oPing
        If IsNull(oStatus.StatusCode) Or oStatus.StatusCode <> 0 Then 
            PingComputer = False
        Else
            PingComputer = True
        End If
    Next
End Function

Sub ccSleep(seconds)
    Set oShell = CreateObject("Wscript.Shell")
    sCommand = "%COMSPEC% /c ping -n " & 1 + seconds & " 127.0.0.1>nul"
    oShell.Run sCommand,0,1
End Sub

